"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GroupLayer = void 0;
const listener_layes_1 = require("./listener.layes");
class GroupLayer extends listener_layes_1.ListenerLayer {
    constructor(page, browser, options, ev) {
        super(page, browser, options, ev);
        this.page = page;
        this.browser = browser;
        this.options = options;
        this.ev = ev;
    }
    /**
     * Creates a new chat group
     * @param groupName Group name
     * @param contacts Participants id '000000000000@c.us'
     */
    async createGroup(groupName, contacts) {
        return new Promise(async (resolve, reject) => {
            const result = await this.page
                .evaluate(({ groupName, contacts }) => API.createGroup(groupName, contacts), { groupName, contacts })
                .catch();
            if (result.erro == true) {
                return reject(result);
            }
            else {
                return resolve(result);
            }
        });
    }
    /**
     * Adds participant to Group
     * @param groupId Chat id ('0000000000-00000000@g.us')
     * @param contacts Participants id '000000000000@c.us'
     */
    async addParticipant(groupId, contacts) {
        return new Promise(async (resolve, reject) => {
            const result = await this.page
                .evaluate(({ groupId, contacts }) => API.addParticipant(groupId, contacts), { groupId, contacts })
                .catch();
            if (result.erro == true) {
                return reject(result);
            }
            else {
                return resolve(result);
            }
        });
    }
}
exports.GroupLayer = GroupLayer;
//# sourceMappingURL=group.layer.js.map